package cn.gov.customs.demo.government.dao;

import java.util.List;
import java.util.Map;

import cn.gov.customs.demo.government.pojo.GovernmentInfo;
import cn.gov.customs.demo.government.pojo.GovernmentQueryInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * TODO
 *
 * @author sunxuewen
 * @since 2024/8/15 10:20
 */
@Mapper
public interface GovernmentDao {

  int insert(GovernmentInfo info);

  int update(GovernmentInfo info);

  int updateWithFields(@Param("formId") String formId, @Param("fields") Map<String, Object> fields);

  int delete(@Param("formId") String formId);

  GovernmentInfo get(@Param("formId") String formId);

  List<GovernmentInfo> getList(GovernmentQueryInfo query);
}
